Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.plugin.rendering
Interface RenderingPluginDefinition

All Superinterfaces:
  AuthoringPlugin, Localized, RenderingPlugin

    public interface RenderingPluginDefinition

extends RenderingPlugin

Represents the definition of a `RenderingPlugin`.

If a plugin implements this interface, it provides more information about the `RenderingPlugin`, such as a definition of the parameters and their possible values, as well as providing the `RenderingPlugin` itself.

###

###

     Example implementation:
     public class MyPlugin implements RenderingPluginDefinition
     {
        ...

    Since:
      8.0.0.1 CF9

    Note:This interface is designed to be implemented by clients.

    Method Summary

     java.util.List<RenderingPluginParameter>
    getParameters()

              Get the RenderingPluginParameters of the RenderingPlugin.

     RenderingPluginType
    getType()

              Get the 'type' of this RenderingPlugin.

    Methods inherited from interface com.ibm.workplace.wcm.api.plugin.rendering.RenderingPlugin

    getDescription, getName, getTitle, render

    Methods inherited from interface com.ibm.workplace.wcm.api.plugin.AuthoringPlugin

    isShownInAuthoringUI

    Methods inherited from interface com.ibm.portal.Localized

    getLocales

    Method Detail

    getType

    RenderingPluginType getType()

    Get the 'type' of this RenderingPlugin.
     In the future, RenderingPlugins with the same type may be grouped together in the Authoring UI.
     RenderingPlugins with a null type may not be grouped.

    Returns:the type, or null

    getParameters

    java.util.List<RenderingPluginParameter> getParameters()

    Get the RenderingPluginParameters of the RenderingPlugin.

    Returns:The RenderingPluginParameters

          Overview
          Package
        Class
          Tree
          Serialized
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD